aboutsummaryrefslogtreecommitdiff
path: root/utils/vim_bundles_update
diff options
context:
space:
mode:
Diffstat (limited to 'utils/vim_bundles_update')
-rwxr-xr-xutils/vim_bundles_update12
1 files changed, 12 insertions, 0 deletions
diff --git a/utils/vim_bundles_update b/utils/vim_bundles_update
new file mode 100755
index 0000000..eb502c6
--- /dev/null
+++ b/utils/vim_bundles_update
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+[ -d vim/bundle ] || (echo Run in root of myconfigs only! && exit 1)
+
+for dir in vim/bundle/*; do
+ pushd $dir
+ git checkout master
+ git pull
+ git submodule update --init --recursive
+ popd
+done